org.apache.activemq.artemis.jms.client

## Class ActiveMQQueue

- java.lang.Object
- - org.apache.activemq.artemis.jndi.JNDIStorable
  - - org.apache.activemq.artemis.jms.client.ActiveMQDestination
    - - org.apache.activemq.artemis.jms.client.ActiveMQQueue

- All Implemented Interfaces:
    Serializable, javax.jms.Destination, javax.jms.Queue, Referenceable
  Direct Known Subclasses:
    ActiveMQTemporaryQueue

      public class ActiveMQQueue
      extends ActiveMQDestination
      implements javax.jms.Queue

  ActiveMQ Artemis implementation of a JMS Queue.
  This class can be instantiated directly.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `ActiveMQDestination.TYPE`

  - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `QUEUE_QUALIFIED_PREFIX, TEMP_QUEUE_QUALIFED_PREFIX, TEMP_TOPIC_QUALIFED_PREFIX, TOPIC_QUALIFIED_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQQueue()`
    `ActiveMQQueue(SimpleString address)`
    `ActiveMQQueue(String address)`
    `ActiveMQQueue(String address, boolean temporary)`
    `ActiveMQQueue(String address, boolean temporary, ActiveMQSession session)`
    `ActiveMQQueue(String address, String name)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getQueueName()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `buildFromProperties, createDestination, createQueue, createQueue, createQueue, createQueueAddressFromName, createQueueNameForSharedSubscription, createQueueNameForSubscription, createTemporaryQueue, createTemporaryQueue, createTemporaryQueue, createTemporaryQueue, createTemporaryTopic, createTemporaryTopic, createTemporaryTopic, createTemporaryTopic, createTopic, createTopic, createTopic, createTopicAddressFromName, decomposeQueueNameForDurableSubscription, delete, fromPrefixedName, fromPrefixedName, getAddress, getName, getQueueAttributes, getSimpleAddress, getType, isQueue, isTemporary, populateProperties, setAddress, setName, setSimpleAddress`

    - ### Methods inherited from class org.apache.activemq.artemis.jndi.JNDIStorable

      `getReference, readObject, writeObject`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActiveMQQueue

          public ActiveMQQueue()

    - #### ActiveMQQueue

          public ActiveMQQueue(String address)

    - #### ActiveMQQueue

          public ActiveMQQueue(SimpleString address)

    - #### ActiveMQQueue

          @Deprecated
          public ActiveMQQueue(String address,
                                           String name)

      Deprecated.

    - #### ActiveMQQueue

          public ActiveMQQueue(String address,
                               boolean temporary)

    - #### ActiveMQQueue

          public ActiveMQQueue(String address,
                               boolean temporary,
                               ActiveMQSession session)

      Parameters:
        `address` -
        `temporary` -
        `session` -

  - ### Method Detail

    - #### getQueueName

          public String getQueueName()

      Specified by:
        `getQueueName` in interface `javax.jms.Queue`

    - #### toString

          public String toString()

      Specified by:
        `toString` in interface `javax.jms.Queue`
      Overrides:
        `toString` in class `ActiveMQDestination`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `ActiveMQDestination`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ActiveMQDestination`

Copyright © 2018 The Apache Software Foundation. All rights reserved.